=== debian/changelog ===
alfa (0.98-1) unstable; urgency=low

  * Initial release (Closes: #809507)

 -- Roger Wesson <rw@nebulousresearch.org>  Wed, 25 May 2016 22:38:47 -0300
