=== debian/changelog ===
alfa (1.0-3build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:32:44 +0100

alfa (1.0-3build1) eoan; urgency=medium

  * No-change rebuild against libcfitsio8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 04 Aug 2019 05:45:47 +0000

alfa (1.0-3) unstable; urgency=low

  * updated repository URLs

 -- Roger Wesson <rw@nebulousresearch.org>  Sat, 25 Aug 2018 11:11:25 +0100

alfa (1.0-2) unstable; urgency=low

  * simplified build dependencies (Closes: #842197)

 -- Roger Wesson <rw@nebulousresearch.org>  Mon, 31 Oct 2016 14:43:13 +0000

alfa (1.0-1) unstable; urgency=low

  * more robust FITS handling, support for logarithmically sampled spectra
  * fixed libcfitsio dependency (Closes: #841658)

 -- Roger Wesson <rw@nebulousresearch.org>  Tue, 25 Oct 2016 23:05:14 +0100
