=== debian/control ===
Source: alfa
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Roger Wesson <rw@nebulousresearch.org>
Build-Depends: debhelper (>= 11.0.0),
               gfortran,
               libcfitsio-dev
Standards-Version: 4.1.4
Homepage: https://github.com/rwesson/ALFA
Vcs-Git: https://salsa.debian.org/debian-astro-team/alfa.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/alfa

Package: alfa
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Automated Line Fitting Algorithm
 ALFA measures fluxes in emission line spectra, such as those of planetary
 nebulae and HII regions, using a genetic algorithm to rapidly optimise fits
 to large numbers of lines simultaneously.  It can subtract night sky emission
 lines before fitting the nebular lines if necessary.  It can read plain text
 files containing 1D spectral data, or FITS files containing 1D, 2D or 3D
 datasets.
