## alfa 2.1

=== debian/changelog ===
alfa (2.1-1) unstable; urgency=medium

  * new upstream release
  * updated packaging files to latest standards

 -- Roger Wesson <rw@nebulousresearch.org>  Mon, 08 Feb 2021 15:38:58 +0000
