=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: alfa
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Roger Wesson <rw@nebulousresearch.org>
-Build-Depends: debhelper (>= 11.0.0),
+Build-Depends: debhelper-compat (= 13),
                gfortran,
                libcfitsio-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.5.1
 Homepage: https://github.com/rwesson/ALFA
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-astro-team/alfa.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/alfa
