=== debian/changelog ===
alfa (2.2-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:08:14 +1100

alfa (2.2-1build2) noble; urgency=high

  * No change rebuild against libcfitsio10t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:27:31 +0100

alfa (2.2-1build1) lunar; urgency=medium

  * No-change rebuild against libcfitsio10

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jan 2023 05:13:23 +0000

alfa (2.2-1) unstable; urgency=medium

  * new upstream release
  * updated standards-version

 -- Roger Wesson <rw@nebulousresearch.org>  Fri, 13 May 2022 14:47:32 +0100
