=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: alfa
 Section: science
 Priority: optional
-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Roger Wesson <rw@nebulousresearch.org>
 Build-Depends: debhelper-compat (= 13),
                gfortran,
                libcfitsio-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/rwesson/ALFA
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-astro-team/alfa.git
